[osg-users] vrml plugin problems

Jan Ciger jan.ciger at gmail.com
Thu Sep 18 02:40:27 PDT 2008


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Ben Axelrod wrote:
| I am trying to load a VRML file, but I get the error message:
|
| Warning: Could not find plugin to read objects from file "foo.wrl".
|
| I tried this in OSG code, as well as with osgconv and osgviewer.  I
| have the OSG lib and osgPlugins directories in my LD_LIBRARY_PATH.
|
| I compiled OSG 2.6.0 from src on Debian Etch.  I am using OpenVRML
| version 0.14.3.  Do I need a newer version of OpenVRML?

Nope. Newer versions use Boost and different API - the plugin will not
compile.

| I had VRML files working with OSG 2.4 a long time ago.  Back then I
| also set up the Inventor library during the install.  But I forgot
| what that library does, why it's needed, and even where to get it.
| Do I need it here too?

No, if you have the VRML plugin, you do not need the Inventor, unless
you want to load also the Inventor  (.iv) files.

I suspect that if your plugin is compiled correctly but doesn't load,
most likely either the OpenVRML library or some of its dependencies
cannot be loaded at runtime (make sure it is either in one of the
standard lib directories or in the LD_LIBRARY_PATH)

Set export OSG_NOTIFY_LEVEL=DEBUG and try to run the viewer. Then look
for any unresolved symbols while it is trying to load the VRML file.
Most likely the dynamic linker cannot find something.


Regards,

Jan
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: Using GnuPG with Mandriva - http://enigmail.mozdev.org

iD8DBQFI0iIJn11XseNj94gRApcAAKDS9aYrLCpVpFNFgRj9OlIe7r5DYQCgu510
NWD2xMubySXsDj1+07U/Jm0=
=BEMl
-----END PGP SIGNATURE-----



More information about the osg-users mailing list